| Home | Libraries | People | FAQ | More

## Struct object_creator

boost::singleton_pool::object_creator

## Synopsis

    // In header: <boost/pool/singleton_pool.hpp>

    struct object_creator {
      // construct/copy/destruct
      object_creator();

      // public member functions
      void do_nothing() const;
    };

## Description

### `object_creator` public construct/copy/destruct

1.     object_creator();

### `object_creator` public member functions

1.     void do_nothing() const;